=== debian/changelog ===
python-mne (0.7.3-1) unstable; urgency=low

  * New upstream version
    Closes: #735811
  * Set back X-Python-Version to >= 2.6

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Sat, 18 Jan 2014 17:00:00 -0400

python-mne (0.7.1-2) neurodebian; urgency=low

  * Boost X-Python-Version to >= 2.7 to provide installable
    builds for wheezy

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Jan 2014 10:02:56 -0500

python-mne (0.7.1-1) unstable; urgency=low

  [ Alexandre Gramfort ]
  * Fresh upstream release

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Wed, 8 Jan 2014 17:00:00 -0400

python-mne (0.7-1) unstable; urgency=low

  * Initial packaging (Closes: #728797)

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Sun, 27 Oct 2013 21:30:31 -0400
