=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NOSETESTS=nosetests

%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_clean:
	rm -rf *.egg-info
	dh_clean

override_dh_auto_test:
	MNE_SKIP_SAMPLE_DATASET_TESTS=true \
	  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
	  $(NOSETESTS) mne
