=== debian/changelog ===
python-mne (0.8.6+dfsg-2) unstable; urgency=medium

  * debian/{rules.patches/changeset_b9d4d*}
    Absorb upstream patch and specify not using HOME directory for generated
    pre-computed data, but instead use tempdir. (Closes: #768730)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Dec 2014 09:33:18 -0500

python-mne (0.8.6+dfsg-1) unstable; urgency=low

  * New upstream version
  * remove dependency on d3

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Sat, 25 Oct 2014 16:09:07 -0400

python-mne (0.8.4+dfsg-1) unstable; urgency=low

  [ Alexandre Gramfort ]
  * New upstream version.
  * Skip tests needing network access (Closes: #759916)
  * Regenerate compressed bootstrap 3.0, added build-depends on
    yui-compressor

  [ Andreas Tille ]
  * Strip compressed JS files from upstream source

  [ Yaroslav Halchenko ]
  * debian/copyright
    - updated to note MIT license for bootstrap 3.0
  * debian/control
    - removed pysupport from build-depends (not used)
    - added mayavi2 and jquery packages into build-depends for robust 
      build across all Debian/Ubuntu releases and extended testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Sep 2014 08:20:50 -0400
