=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                python-all,
-               python-support,
                python-numpy,
                python-scipy,
                python-sphinx (>= 1.0~),
@@ -20,7 +19,11 @@
                xvfb,
                xauth,
                libgl1-mesa-dri,
-               python-coverage
+               python-coverage,
+               libjs-jquery,
+               libjs-jquery-ui,
+               yui-compressor,
+               mayavi2,
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
 Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
@@ -39,7 +42,9 @@
          xvfb,
          xauth,
          libgl1-mesa-dri,
-         help2man
+         help2man,
+         libjs-jquery,
+         libjs-jquery-ui,
 Recommends: python-nose,
             mayavi2
 Suggests: python-dap,
