=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,14 @@
 	rm -rf *.egg-info
 	dh_clean
 
+override_dh_auto_build:
+	dh_auto_build
+	yui-compressor debian/JS/bootstrap/bootstrap.js > $(CURDIR)/mne/html/bootstrap.min.js
+
 override_dh_auto_test:
-	MNE_SKIP_SAMPLE_DATASET_TESTS=true \
+	MNE_DONTWRITE_HOME=true MNE_SKIP_SAMPLE_DATASET_TESTS=true MNE_FORCE_SERIAL=true MNE_SKIP_NETWORK_TESTS=1 \
 	  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
 	  $(NOSETESTS) mne
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compress xz
