=== debian/changelog ===
python-mne (0.10.1+dfsg-1~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 27 Nov 2015 10:54:27 -0500

python-mne (0.10.1+dfsg-1) unstable; urgency=medium

  [ Jaakko Leppakangas ]
  * New upstream version
  * Removed depedency on mayavi2

  [ Yaroslav Halchenko ]
  * debian/patches
    - dropped CPed from upstream changeset_9c7ef6d1*
  * debian/control
    - added python-vtk | mayavi2 to the build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 27 Nov 2015 10:44:11 -0500
