=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-mne
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Gramfort <alexandre.gramfort@m4x.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
@@ -16,6 +17,7 @@
                python-matplotlib,
                python-joblib (>= 0.4.5),
                python-sklearn,
+               python-vtk | mayavi2,
                xvfb,
                xauth,
                libgl1-mesa-dri,
@@ -23,8 +25,7 @@
                libjs-jquery,
                libjs-jquery-ui,
                yui-compressor,
-               mayavi2,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
 Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
 Homepage: http://martinos.org/mne
@@ -32,7 +33,7 @@
 
 Package: python-mne
 Architecture: all
-Depends: ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends},
          ${python:Depends},
          python-numpy,
          python-scipy,
