## python-mne 0.11%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	yui-compressor debian/JS/bootstrap/bootstrap.js > $(CURDIR)/mne/html/bootstrap.min.js
+	echo -e "\n" >> $(CURDIR)/mne/html/bootstrap.min.js
 
 override_dh_auto_test:
 	MNE_DONTWRITE_HOME=true MNE_SKIP_SAMPLE_DATASET_TESTS=true MNE_FORCE_SERIAL=true MNE_SKIP_NETWORK_TESTS=1 \
