## python-mne 0.11+dfsg

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,10 @@
 test: in
 	rm -f .coverage
 	$(NOSETESTS) -a '!ultra_slow_test' mne
+
+test-fast: in
+	rm -f .coverage
+	$(NOSETESTS) -a '!slow_test' mne
 
 test-full: in
 	rm -f .coverage
