=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-mne
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Gramfort <alexandre.gramfort@m4x.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
@@ -33,7 +32,7 @@
 
 Package: python-mne
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          python-numpy,
          python-scipy,
