=== debian/changelog ===
python-mne (0.12+dfsg-2) unstable; urgency=medium

  * debian/control
    - make recent mayavi2 (>= 4.4.3-1) the lead bdepends to python-vtk{6,}
      as an alternatives (Closes: #830357)
      Versioned mayavi2 is needed since otherwise would fail with mayavi2
      on older releases of debian/ubuntu

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 Jul 2016 11:15:35 -0400

python-mne (0.12+dfsg-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - boosted policy to 3.9.8
    - suggest python-pycuda

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 May 2016 17:38:17 -0400
