=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python-matplotlib,
                python-joblib (>= 0.4.5),
                python-sklearn,
-               python-vtk | mayavi2,
+               mayavi2 (>= 4.4.3-1) | python-vtk6 | python-vtk,
                xvfb,
                xauth,
                libgl1-mesa-dri,
@@ -24,7 +24,7 @@
                libjs-jquery,
                libjs-jquery-ui,
                yui-compressor,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
 Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
 Homepage: http://martinos.org/mne
@@ -48,6 +48,7 @@
 Recommends: python-nose,
             mayavi2
 Suggests: python-dap,
+          python-pycuda,
           ipython
 Provides: ${python:Provides}
 Description: Python modules for MEG and EEG data analysis
