=== debian/changelog ===
python-mne (0.13.1+dfsg-3) unstable; urgency=medium

  * Depends: libjs-d3
    Closes: #858486

 -- Andreas Tille <tille@debian.org>  Thu, 23 Mar 2017 15:14:07 +0100

python-mne (0.13.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix corrupted bootstrap.min.js when built with dash as /bin/sh
    (Thanks for the patch to Chris Lamb <lamby@debian.org>)
    Closes: #852518
  * Drop myself from Uploaders
  * debhelper 10
  * d/watch: version=4
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2017 10:01:32 +0100

python-mne (0.13.1+dfsg-1) unstable; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Nov 2016 22:33:19 -0500

python-mne (0.13+git8-gcb8707f+dfsg-1) unstable; urgency=medium

  * Fresh upstream maint snapshot hopefully resolving issues with unicode
    - removed --exclude=test_add_slider_to_section
  * This time with +dfsg cleansing of .min.js files
  * debian/copyright
    - MIT -> Expat, consistent -Clause for BSD, https url

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Nov 2016 10:39:08 -0500

python-mne (0.13+git5-g028f2ee-2) unstable; urgency=medium

  * debian/rules
    - --exclude=test_add_slider_to_section for nose to avoid floating
      unicode issue (see https://github.com/mne-tools/mne-python/issues/3657
      upstream report).  If builds, Closes #837276 (originally FTBFS due to
      some mayavi2 availability issue)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Nov 2016 22:36:23 -0500

python-mne (0.13+git5-g028f2ee-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - dropped changeset_*
    - added a changeset (upstreamed) to skip few tests if no usable mayavi2
  * debian/rules
    - fake http_proxy settings to forbid network access
    - HOME=build/ to avoid trying to deal with / as HOME

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Oct 2016 14:59:44 -0400
