=== debian/control ===
Source: python-mne
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Gramfort <alexandre.gramfort@m4x.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               python-all,
               python-numpy,
               python-scipy,
               python-sphinx,
               python-nose,
               python-setuptools,
               python-matplotlib,
               python-joblib,
               python-sklearn,
               mayavi2 (>= 4.4.3~) | python-vtk6 | python-vtk,
               xvfb,
               xauth,
               libgl1-mesa-dri,
               python-coverage,
               libjs-jquery,
               libjs-jquery-ui,
               yui-compressor
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-mne.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-mne.git
Homepage: http://martinos.org/mne
X-Python-Version: >= 2.7

Package: python-mne
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-numpy,
         python-scipy,
         python-sklearn,
         python-matplotlib,
         python-joblib,
         xvfb,
         xauth,
         libgl1-mesa-dri,
         help2man,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-d3
Recommends: python-nose,
            mayavi2
Suggests: python-dap,
          python-pycuda,
          ipython
Provides: ${python:Provides}
Description: Python modules for MEG and EEG data analysis
 This package is designed for sensor- and source-space analysis of MEG
 and EEG data, including frequency-domain and time-frequency analyses
 and non-parametric statistics.
