=== debian/changelog ===
python-mne (0.15.2+dfsg-2) unstable; urgency=medium

  * up_check_numpy to skip a test for warnings being issued with 
    older numpys

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Dec 2017 22:57:35 -0500

python-mne (0.15.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #858909)
    - should resolve failing tests (Closes: #877344)
  * debian/control
    - Added python-pytest{,-cov} to build-depends and switch to use
      py.test in debian/rules
    - Added python-nibabel to B-Depends, and Recommends
  * A number of patches added to mitigate failing and segfaulting
    tests:
    - deb_skip_segfaultingtests
    - up_skip_test_requires_data
    - up_tempita_unicode

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Dec 2017 13:07:52 -0500
