=== debian/control ===
--- 
+++ 
@@ -7,15 +7,19 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                python-all,
+               python-nibabel,
                python-numpy,
                python-scipy,
                python-sphinx,
                python-nose,
+               python-pytest,
+               python-pytest-cov,
                python-setuptools,
                python-matplotlib,
                python-joblib,
                python-sklearn,
                mayavi2 (>= 4.4.3~) | python-vtk6 | python-vtk,
+               python-tk,
                xvfb,
                xauth,
                libgl1-mesa-dri,
@@ -46,6 +50,8 @@
          libjs-jquery-ui,
          libjs-d3
 Recommends: python-nose,
+            python-pytest,
+            python-nibabel,
             mayavi2
 Suggests: python-dap,
           python-pycuda,
