=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-NOSETESTS=nosetests
+TESTRUNNER=py.test
 
 # to avoid cannot set toolkit to qt4 because it has already been set to wx
 export ETS_TOOLKIT=qt4
@@ -26,7 +26,7 @@
 	HOME=$(CURDIR)/build \
 	MNE_DONTWRITE_HOME=true MNE_SKIP_SAMPLE_DATASET_TESTS=true MNE_FORCE_SERIAL=true MNE_SKIP_NETWORK_TESTS=1 \
 	  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
-	  $(NOSETESTS) mne
+	  $(TESTRUNNER) -s -v mne
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compress xz
